Fix an npm install error due to uglify-js dependency #1

Merged
merged 1 commit into from Mar 4, 2014

2 participants

@mablack

Fixes an issue where running npm install dicontainer fails when uglify-js is not already installed on the system, with the following error:

sh: uglifyjs: command not found
npm ERR! dicontainer@0.0.2 postinstall: `cp ./index.js ./dist/dicontainer.js && uglifyjs ./dist/dicontainer.js -o ./dist/dicontainer.min.js && npm test`
npm ERR! Exit status 127
npm ERR! 
npm ERR! Failed at the dicontainer@0.0.2 postinstall script.
npm ERR! This is most likely a problem with the dicontainer package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     cp ./index.js ./dist/dicontainer.js && uglifyjs ./dist/dicontainer.js -o ./dist/dicontainer.min.js && npm test
npm ERR! You can get their info via:
npm ERR!     npm owner ls dicontainer
npm ERR! There is likely additional logging output above.

The dependency isn't installed automatically.

@DveMac DveMac merged commit cceac49 into DveMac:master Mar 4, 2014
@DveMac
Owner

Thanks @mablack :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment